This is a multi-part message in MIME format.

------=_NextPart_000_0BEC_01C7CF93.E10FCE00
Content-Type: text/plain;
charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

Hi!

I was using SA 3.2.1 on our academic RH4 server and everything was =
working correctly

Now, I just install SA 3.2.2, everything seems to work but I noticed =
that sa-update returned the following error:

query failed: 2.2.3.saupdates.openprotect.com =3D> NXDOMAIN
I test it with=20

# dig +short TXT 0.2.3.saupdates.openprotect.com @ns14.zoneedit.com
"78"
# dig +short TXT 1.2.3.saupdates.openprotect.com @ns14.zoneedit.com
"78"
# dig +short TXT 2.2.3.saupdates.openprotect.com @ns14.zoneedit.com
returns nothing

Is this the normal behaviour ?

Do you know when 3.2.2 version of this channel will be available ?

Thanks,

Eddy=20

# ls -l /var/lib/spamassassin/3.002001

drwxr-xr-x 2 root root 4096 Jul 17 15:20 saupdates_openprotect_com
-rw-r--r-- 1 root root 1744 Jul 17 15:20 saupdates_openprotect_com.cf
-rw-r--r-- 1 root root 50 Jul 17 15:20 saupdates_openprotect_com.pre
drwxr-xr-x 2 root root 4096 Jul 20 12:34 updates_spamassassin_org
-rw-r--r-- 1 root root 2384 Jul 16 04:10 updates_spamassassin_org.cf


# ls -l /var/lib/spamassassin/3.002002
drwxr-xr-x 2 root root 4096 Jul 26 10:29 updates_spamassassin_org
-rw-r--r-- 1 root root 2384 Jul 26 10:29 updates_spamassassin_org.cf


]# sa-update --allowplugins --gpgkey ...cut... --channel =
saupdates.openprotect.com --debug
[18353] dbg: logger: adding facilities: all
[18353] dbg: logger: logging level is DBG
[18353] dbg: generic: SpamAssassin version 3.2.2
[18353] dbg: config: score set 0 chosen.
[18353] dbg: dns: is Net:NS::Resolver available? yes
[18353] dbg: dns: Net:NS version: 0.59
[18353] dbg: generic: sa-update version svn540384
[18353] dbg: generic: using update directory: =
/var/lib/spamassassin/3.002002
[18353] dbg: diag: perl platform: 5.008005 linux
[18353] dbg: diag: module installed: Digest::SHA1, version 2.07
[18353] dbg: diag: module installed: HTML::Parser, version 3.55
[18353] dbg: diag: module installed: Net:NS, version 0.59
[18353] dbg: diag: module installed: MIME::Base64, version 3.01
[18353] dbg: diag: module installed: DB_File, version 1.809
[18353] dbg: diag: module installed: Net::SMTP, version 2.29
[18353] dbg: diag: module installed: Mail::SPF, version v2.005
[18353] dbg: diag: module installed: Mail::SPF::Query, version 1.999001
[18353] dbg: diag: module installed: IP::Country::Fast, version 604.001
[18353] dbg: diag: module installed: Razor2::Client::Agent, version 2.82
[18353] dbg: diag: module installed: Net::Ident, version 1.20
[18353] dbg: diag: module installed: IO::Socket::INET6, version 2.51
[18353] dbg: diag: module installed: IO::Socket::SSL, version 1.07
[18353] dbg: diag: module installed: Compress::Zlib, version 1.42
[18353] dbg: diag: module installed: Time::HiRes, version 1.55
[18353] dbg: diag: module installed: Mail:omainKeys, version 1.0
[18353] dbg: diag: module installed: Mail:KIM, version 0.26
[18353] dbg: diag: module installed: DBI, version 1.52
[18353] dbg: diag: module installed: Getopt::Long, version 2.34
[18353] dbg: diag: module installed: LWP::UserAgent, version 2.031
[18353] dbg: diag: module installed: HTTP:ate, version 1.46
[18353] dbg: diag: module installed: Archive::Tar, version 1.32
[18353] dbg: diag: module installed: IO::Zlib, version 1.05
[18353] dbg: diag: module installed: Encode:etect, version 1.00
[18353] dbg: gpg: adding key id D1C035168C1EBC08464946DA258CDB3ABDE9DC10
[18353] dbg: gpg: Searching for 'gpg'
[18353] dbg: util: current PATH is: =
/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/sbin:/usr/local/bin:/sbin=
:/bin:/usr/sbin:/usr/bin:/usr/X11R6/bin
[18353] dbg: util: executable for gpg was found at /usr/bin/gpg
[18353] dbg: gpg: found /usr/bin/gpg
[18353] dbg: gpg: release trusted key id list: =
5E541DC959CB8BAC7C78DFDC4056A61A5244EC45 =
26C900A46DD40CD5AD24F6D7DEE01987265FA05B =
0C2B1D7175B852C64B3CDC716C55397824F434CE =
D1C035168C1EBC08464946DA258CDB3ABDE9DC10
[18353] dbg: channel: attempting channel saupdates.openprotect.com
[18353] dbg: channel: update directory =
/var/lib/spamassassin/3.002002/saupdates_openprotect_com
[18353] dbg: channel: channel cf file =
/var/lib/spamassassin/3.002002/saupdates_openprotect_com.cf
[18353] dbg: channel: channel pre file =
/var/lib/spamassassin/3.002002/saupdates_openprotect_com.pre
[18353] dbg: dns: query failed: 2.2.3.saupdates.openprotect.com =3D> =
NXDOMAIN
[18353] dbg: channel: no updates available, skipping channel
[18353] dbg: diag: updates complete, exiting with code 1


------=_NextPart_000_0BEC_01C7CF93.E10FCE00
Content-Type: text/html;
charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable



charset=3Diso-8859-1">




Hi!

 

I was using SA 3.2.1 on our academic =
RH4 server and=20
everything was working correctly

 

Now, I just install SA 3.2.2, =
everything seems to=20
work but I noticed that sa-update returned the following =
error:

 

query failed:=20
2.2.3.saupdates.openprotect.com =3D> NXDOMAIN


I test it with


# dig +short TXT 0.2.3.saupdates.openprotect.com=20
@ns14.zoneedit.com
"78"
# dig =
+short TXT=20
1.2.3.saupdates.openprotect.com @ns14.zoneedit.com
"78"
# dig =
+short=20
TXT 2.2.3.saupdates.openprotect.com @ns14.zoneedit.com
returns=20
nothing


Is this the normal behaviour ?


Do you know when 3.2.2 version of this channel will be =
available=20
?


Thanks,


Eddy 


# ls -l=20
 /var/lib/spamassassin/3.002001

drwxr-xr-x  2 root root =
4096=20
Jul 17 15:20 saupdates_openprotect_com
-rw-r--r--  1 root root =
1744 Jul=20
17 15:20 saupdates_openprotect_com.cf
-rw-r--r--  1 root=20
root   50 Jul 17 15:20=20
saupdates_openprotect_com.pre
drwxr-xr-x  2 root root 4096 Jul =
20 12:34=20
updates_spamassassin_org
-rw-r--r--  1 root root 2384 Jul 16 =
04:10=20
updates_spamassassin_org.cf



# ls -l=20
 /var/lib/spamassassin/3.002002
drwxr-xr-x  2 root root =
4096 Jul 26=20
10:29 updates_spamassassin_org
-rw-r--r--  1 root root 2384 Jul =
26 10:29=20
updates_spamassassin_org.cf


]# sa-update --allowplugins --gpgkey ...cut... =
--channel=20
saupdates.openprotect.com --debug
[18353] dbg: logger: adding =
facilities:=20
all
[18353] dbg: logger: logging level is DBG
[18353] dbg: =
generic:=20
SpamAssassin version 3.2.2
[18353] dbg: config: score set 0=20
chosen.
[18353] dbg: dns: is Net:NS::Resolver available? =
yes
[18353]=20
dbg: dns: Net:NS version: 0.59
[18353] dbg: =
generic:=20
sa-update version svn540384
[18353] dbg: generic: using update =
directory:=20
/var/lib/spamassassin/3.002002
[18353] dbg: diag: perl platform: =
5.008005=20
linux
[18353] dbg: diag: module installed: Digest::SHA1, version=20
2.07
[18353] dbg: diag: module installed: HTML::Parser, version=20
3.55
[18353] dbg: diag: module installed: Net:NS, version =
0.59
[18353]=20
dbg: diag: module installed: MIME::Base64, version 3.01
[18353] dbg: =
diag:=20
module installed: DB_File, version 1.809
[18353] dbg: diag: module =
installed:=20
Net::SMTP, version 2.29
[18353] dbg: diag: module installed: =
Mail::SPF,=20
version v2.005
[18353] dbg: diag: module installed: Mail::SPF::Query, =
version=20
1.999001
[18353] dbg: diag: module installed: IP::Country::Fast, =
version=20
604.001
[18353] dbg: diag: module installed: Razor2::Client::Agent, =
version=20
2.82
[18353] dbg: diag: module installed: Net::Ident, version =
1.20
[18353]=20
dbg: diag: module installed: IO::Socket::INET6, version 2.51
[18353] =
dbg:=20
diag: module installed: IO::Socket::SSL, version 1.07
[18353] dbg: =
diag:=20
module installed: Compress::Zlib, version 1.42
[18353] dbg: diag: =
module=20
installed: Time::HiRes, version 1.55
[18353] dbg: diag: module =
installed:=20
Mail:omainKeys, version 1.0
[18353] dbg: diag: module installed:=20
Mail:KIM, version 0.26
[18353] dbg: diag: module installed: DBI, =
version=20
1.52
[18353] dbg: diag: module installed: Getopt::Long, version=20
2.34
[18353] dbg: diag: module installed: LWP::UserAgent, version=20
2.031
[18353] dbg: diag: module installed: HTTP:ate, version=20
1.46
[18353] dbg: diag: module installed: Archive::Tar, version=20
1.32
[18353] dbg: diag: module installed: IO::Zlib, version =
1.05
[18353]=20
dbg: diag: module installed: Encode:etect, version 1.00
[18353] =
dbg: gpg:=20
adding key id D1C035168C1EBC08464946DA258CDB3ABDE9DC10
[18353] dbg: =
gpg:=20
Searching for 'gpg'
[18353] dbg: util: current PATH is:=20
/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/sbin:/usr/local/bin:/sbin=
:/bin:/usr/sbin:/usr/bin:/usr/X11R6/bin
[18353]=20
dbg: util: executable for gpg was found at /usr/bin/gpg
[18353] dbg: =
gpg:=20
found /usr/bin/gpg
[18353] dbg: gpg: release trusted key id list:=20
5E541DC959CB8BAC7C78DFDC4056A61A5244EC45=20
26C900A46DD40CD5AD24F6D7DEE01987265FA05B=20
0C2B1D7175B852C64B3CDC716C55397824F434CE=20
D1C035168C1EBC08464946DA258CDB3ABDE9DC10
[18353] dbg: channel: =
attempting=20
channel saupdates.openprotect.com
[18353] dbg: channel: update =
directory=20
/var/lib/spamassassin/3.002002/saupdates_openprotect_com
[18353] dbg: =

channel: channel cf file=20
/var/lib/spamassassin/3.002002/saupdates_openprotect_com.cf
[18353] =
dbg:=20
channel: channel pre file=20
/var/lib/spamassassin/3.002002/saupdates_openprotect_com.pre
[18353] =
dbg:=20
dns: query failed: 2.2.3.saupdates.openprotect.com =3D>=20
NXDOMAIN
[18353] dbg: channel: no updates available, =
skipping=20
channel
[18353] dbg: diag: updates complete, exiting with code=20
1



------=_NextPart_000_0BEC_01C7CF93.E10FCE00--